# html-validate-angular

Transform angularjs components and routes with inline templates for use with
[html-validate].

## Example

```js
export const FooComponent = {
	template: '<button>foo</button>',
};
```

```js
export function routeConfig($routeProvider){
	$routeProvider
		.when('/route', {template: '<p>foo</i>'})
	;
}
```

In both cases it will allow html-validate to parse and detect errors in the
templates:

    component.js
      2:13  error  Button is missing type attribute  button-type

    route.js
      3:37  error  Mismatched close-tag, expected '</p>' but found '</i>'  close-order

[html-validate]: https://www.npmjs.com/package/html-validate

## Usage

    npm install --save-dev html-validate-angular

In `.htmlvalidate.json`:

```js
{
  "transform": {
    "^.*\\.js$": "html-validate-angular"
  }
}
```
