const HtmlValidate = require('html-validate').HtmlValidate;
const config = {
	extends: [
		"htmlvalidate:recommended",
	],

	transform: {
		"\\.js$": "<rootDir>/src/transform",
	},
};

test('should find errors in "component.js"', () => {
	const htmlvalidate = new HtmlValidate(config);
	const report = htmlvalidate.validateFile("test/component.js");
	expect(report.valid).toBeFalsy();
	expect(report.results).toHaveLength(1);
	expect(report.results[0]).toEqual({
		filePath: 'test/component.js',
		messages: [{
			line: 2,
			column: 18,
			message: "Mismatched close-tag, expected '</p>' but found '</i>'.",
			ruleId: 'close-order',
			severity: expect.any(Number),
		}],
		errorCount: 1,
		warningCount: 0,
	});
});

test('should find errors in "route.js"', () => {
	const htmlvalidate = new HtmlValidate(config);
	const report = htmlvalidate.validateFile("test/route.js");
	expect(report.valid).toBeFalsy();
	expect(report.results).toHaveLength(1);
	expect(report.results[0]).toEqual({
		filePath: 'test/route.js',
		messages: [{
			line: 3,
			column: 36,
			message: "Mismatched close-tag, expected '</p>' but found '</i>'.",
			ruleId: 'close-order',
			severity: expect.any(Number),
		}, {
			line: 6,
			column: 5,
			message: "Button is missing type attribute",
			ruleId: 'button-type',
			severity: expect.any(Number),
		}],
		errorCount: 2,
		warningCount: 0,
	});
});
